# Memcached::getOption

(PECL memcached >= 0.1.0)

Memcached::getOption — Obtener el valor de una opción de Memcached

### Descripción

public Memcached::getOption(int `$option`): mixed

Este método devuelve el valor de la opción de Memcached dada por `option`. Algunas opciones se corresonden con las definidas por libmemcached, y otras son específicas de la extensión. Ver Constantes de Memcached para más información.

### Parámetros

`option`

  Una de las constantes `Memcached::OPT_*`.

### Valores devueltos

Devuelve el valor de la opción solicitada, o `false` en caso de error.

### Ejemplos

Ejemplo #1 Obtener opciones de Memcached

`<?php
$m = new Memcached();
var_dump($m->getOption(Memcached::OPT_COMPRESSION));
var_dump($m->getOption(Memcached::OPT_POLL_TIMEOUT));
?>`

El resultado del ejemplo sería algo similar a:

    bool(true)
    int(1000)

### Ver también

- Memcached::getOption()
- Memcached::setOption() - Establecer una opción de Memcached
- Constantes de Memcached